<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

defined('MOODLE_INTERNAL') || die();

$string['academicyear_desc'] = 'Academic year (Calendar year is not divided)';
$string['activityoverview'] = 'You have {$a}s that need attention';
$string['all'] = 'All';
$string['appearancesettingheading'] = 'Appearance';
$string['blocktitle'] = 'Block title';
$string['blocktitle_desc'] = 'This display name is shown as the title of the block';
$string['category'] = 'Category';
$string['categorycoursefilter'] = 'Activate category filter';
$string['categorycoursefilter_desc'] = 'Allow users to filter courses by category';
$string['categorycoursefilterdisplayname'] = 'Display name for category filter';
$string['categorycoursefilterdisplayname_desc'] = 'This display name is shown above the category filter<br /><em>This setting is only processed when the category filter is activated</em>';
$string['categorycoursefiltersettingheading'] = 'Category filter: Filter activation';
$string['coursenewsheading'] = 'Course overview list: Course news';
$string['coursenewsdefault'] = 'Hide course news by default';
$string['coursenewsdefault_desc'] = 'If enabled, course news are hidden by default to prevent cluttered course lists. If disabled, course news are shown / expanded by default to catch the user\'s eye. As soon as a user hides / shows a course\'s news, this setting isn\'t relevant anymore for this course<br /><em>This setting is only processed when enable course news is activated</em>';
$string['course_overview_campus:addinstance'] = 'Add a new course overview campus block';
$string['course_overview_campus:myaddinstance'] = 'Add a new course overview campus block to Dashboard';
$string['defaultterm'] = 'Use default term';
$string['defaultterm_desc'] = 'If the user has not previously selected a term for filtering terms, a term is chosen for him. The first choice is the current term. If the user is not enrolled on any courses in the current term, the most recent previous term is chosen.<br /><em>This setting is only processed when the term filter is activated</em>';
$string['enablecoursenews'] = 'Enable course news';
$string['enablecoursenews_desc'] = 'Enable course news below the course name in the course list if there are news in the course';
$string['enablehidecourses'] = 'Enable course hiding';
$string['enablehidecourses_desc'] = 'Enable course hiding, which lets users hide courses from the course overview list';
$string['firstrowcoursename'] = 'First row: Course name style';
$string['firstrowcoursename_desc'] = 'Show the course\'s full name or the course\'s short name in the first row of the course overview list entry';
$string['hiddencourses'] = 'hidden courses';
$string['hidecourse'] = 'Hide course in course overview list';
$string['hidecoursessettingheading'] = 'Course overview list: Hide courses';
$string['hidenews'] = 'Hide course news';
$string['listentriessettingheading'] = 'Course overview list: Entries';
$string['managehiddencourses'] = 'Manage hidden courses';
$string['mergehomonymouscategories'] = 'Merge homonymous categories';
$string['mergehomonymouscategories_desc'] = 'If there are multiple categories with different parent categories, but with the same name, the category filter will be filled with multiple categories with the same name by default. This can be confusing to the user. If you want to merge all homonymous categories into one category when using the category filter, activate this setting<br /><em>This setting is only processed when the category filter is activated</em>';
$string['mergehomonymouscategoriessettingheading'] = 'Category filter: Merge homonymous categories';
$string['nocourses'] = 'Currently, you are not enrolled in any courses';
$string['noteacher'] = 'No teacher enrolled';
$string['noteachertext'] = 'No teacher enrolled text';
$string['noteachertext_desc'] = 'This text is displayed instead of the teachers\' names if there is no teacher enrolled in the course. If you don\'t want a placeholder text to appear, just delete this text here<br /><em>This setting is only processed when show teacher name is activated</em>';
$string['ordersettingheading'] = 'Course overview list: Order';
$string['other'] = 'Other';
$string['pluginname'] = 'Course overview on campus';
$string['prioritizemyteachedcourses'] = 'Prioritize courses in which I teach';
$string['prioritizemyteachedcourses_desc'] = 'Courses in which the user has a teacher role are listed first in course overview list';
$string['secondrowhideonphones'] = 'Second row: Hide on phones';
$string['secondrowhideonphones_desc'] = 'Hide the second row on mobile phones to save space';
$string['secondrowshowcategoryname'] = 'Second row: Show category name';
$string['secondrowshowcategoryname_desc'] = 'Show the course\'s category name in a second row of the course overview list entry';
$string['secondrowshowshortname'] = 'Second row: Show short name';
$string['secondrowshowshortname_desc'] = 'Show the course\'s short name in a second row of the course overview list entry';
$string['secondrowshowteachername'] = 'Second row: Show teacher name';
$string['secondrowshowteachername_desc'] = 'Show the teacher\'s name(s) in a second row of the course overview list entry';
$string['secondrowshowteachernamestyle'] = 'Second row: Style of teacher name';
$string['secondrowshowteachernamestyle_desc'] = 'Define how the teacher\'s name should be displayed in the second row of the course overview list entry<br /><em>This setting is only processed when show teacher name is activated</em>';
$string['secondrowshowtermname'] = 'Second row: Show term name';
$string['secondrowshowtermname_desc'] = 'Show the course\'s term name in a second row of the course overview list entry';
$string['semester_desc'] = 'Semester (Calendar year is divided into two terms)';
$string['showcourse'] = 'Show course';
$string['shownews'] = 'Show course news';
$string['skipcoursenews'] = 'Skip course news';
$string['skipcoursenews_desc'] = 'When collecting and displaying course news, news from the selected activities will be skipped<br /><em>This setting is only processed when enable course news is activated</em>';
$string['stopmanaginghiddencourses'] = 'Stop managing hidden courses';
$string['submitfilter'] = 'Filter my courses!';
$string['teachercoursefilter'] = 'Activate teacher filter';
$string['teachercoursefilter_desc'] = 'Allow users to filter courses by teacher';
$string['teachercoursefilterdisplayname'] = 'Display name for teacher filter';
$string['teachercoursefilterdisplayname_desc'] = 'This display name is shown above the teacher filter<br /><em>This setting is only processed when the teacher filter is activated</em>';
$string['teachercoursefiltersettingheading'] = 'Teacher filter: Filter activation';
$string['teachernamestylefullname'] = 'Firstname Lastname';
$string['teachernamestylefirstname'] = 'Firstname';
$string['teachernamestylelastname'] = 'Lastname';
$string['teachernamestylefullnamedisplay'] = 'Teacher name style according to Moodle core setting "fullnamedisplay</em>" (Currently set to "{$a}")';
$string['teacherrolessettingheading'] = 'Teacher roles';
$string['teacherroles'] = 'Teacher roles';
$string['teacherroles_desc'] = 'Define which roles are handled as teacher roles by this plugin<br /><em>This setting is only processed when show teacher name is activated or when the teacher filter is activated or when the priorization of courses in which I teach is activated</em>';
$string['teacherrolesparent'] = 'Include parent context teacher roles';
$string['teacherrolesparent_desc'] = 'When looking for teachers with the specified teacher roles, include teachers who have their role assigned in parent contexts (course category or system level)<br /><em>This setting is only processed when show teacher name is activated or when the teacher filter is activated.</em><br /><em>Warning: If you set this to "No" or "Depending on the user\'s moodle/course:reviewotherusers capability", the "Prioritize courses in which I teach" function will also be influenced and will not priorize courses where the user has his teacher role assigned in parent contexts.</em>';
$string['teacherrolesparentcapability'] = 'Depending on the user\'s moodle/course:reviewotherusers capability';
$string['term'] = 'Term';
$string['term1'] = 'Term 1';
$string['term1name'] = 'Term 1 name';
$string['term1name_desc'] = 'Descriptive name for term 1, please rename it according to your campus terminology (or leave it empty if you want to use only year numbes in Academic year mode)<br /><em>This setting is only processed when the teacher filter is activated</em>';
$string['term1startday'] = 'Term 1 start day';
$string['term1startday_desc'] = 'Day and month when term 1 starts<br /><em>This setting is only processed when the term filter is activated</em>';
$string['term2'] = 'Term 2';
$string['term2name'] = 'Term 2 name';
$string['term2name_desc'] = 'Descriptive name for term 2, please rename it according to your campus terminology<br /><em>This setting is only processed when the term filter is activated and when term mode is set to "Semester", "Tertial" or "Trimester"</em>';
$string['term2startday'] = 'Term 2 start day';
$string['term2startday_desc'] = 'Day and month when term 2 starts<br /><em>This setting is only processed when the term filter is activated and when term mode is set to "Semester", "Tertial" or "Trimester"</em>';
$string['term3'] = 'Term 3';
$string['term3name'] = 'Term 3 name';
$string['term3name_desc'] = 'Descriptive name for term 3, please rename it according to your campus terminology<br /><em>This setting is only processed when the term filter is activated and when term mode is set to "Tertial" or "Trimester"</em>';
$string['term3startday'] = 'Term 3 start day';
$string['term3startday_desc'] = 'Day and month when term 3 starts<br /><em>This setting is only processed when the term filter is activated and when term mode is set to "Tertial" or "Trimester"</em>';
$string['term4'] = 'Term 4';
$string['term4name'] = 'Term 4 name';
$string['term4name_desc'] = 'Descriptive name for term 4, please rename it according to your campus terminology<br /><em>This setting is only processed when the term filter is activated and when term mode is set to "Trimester"</em>';
$string['term4startday'] = 'Term 4 start day';
$string['term4startday_desc'] = 'Day and month when term 4 starts<br /><em>This setting is only processed when the term filter is activated and when term mode is set to "Trimester"</em>';
$string['termbehavioursettingheading'] = 'Term filter: Term behaviour';
$string['termcoursefilter'] = 'Activate term filter';
$string['termcoursefilter_desc'] = 'Allow users to filter courses by term';
$string['termcoursefilterdisplayname'] = 'Display name for term filter';
$string['termcoursefilterdisplayname_desc'] = 'This display name is shown above the term filter<br /><em>This setting is only processed when the term filter is activated</em>';
$string['termcoursefiltersettingheading'] = 'Term filter: Filter activation';
$string['termmode'] = 'Term mode';
$string['termmode_desc'] = 'Set the term mode for the term filter<br /><em>This setting is only processed when the term filter is activated</em>';
$string['termnamesettingheading'] = 'Term filter: Term names';
$string['termsettingerror'] = 'The configured term dates don\'t make sense. Please verify that term 2 starts after term 1 and so on. Term filter will not be available to users until you fix this.';
$string['termsettingheading'] = 'Term filter: Term definition';
$string['termyearpos'] = 'Term name year position';
$string['termyearpos_desc'] = 'Define if the term\'s year should be added as suffix or prefix to the term name<br /><em>This setting is only processed when the teacher filter is activated</em>';
$string['termyearposprefixspace_desc'] = 'Year is added as prefix to the term name with space (Example: "2013 Summer term")';
$string['termyearposprefixnospace_desc'] = 'Year is added as prefix to the term name without space (Example: "2013S")';
$string['termyearpossuffixspace_desc'] = 'Year is added as suffix to the term name with space (Example: "Summer term 2013")';
$string['termyearpossuffixnospace_desc'] = 'Year is added as suffix to the term name without space (Example: "S2013")';
$string['termyearseparation'] = 'Term name second year separation';
$string['termyearseparation_desc'] = 'If the timespan of the term includes New Year\'s day, define how this second year should be separated from the first one<br /><em>This setting is only processed when the teacher filter is activated</em>';
$string['termyearseparationhyphen_desc'] = 'Separate with a hyphen (Example: "2013-2014")';
$string['termyearseparationslash_desc'] = 'Separate with a slash (Example: "2013/2014")';
$string['termyearseparationunderscore_desc'] = 'Separate with a underscore (Example: "2013_2014")';
$string['termyearseparationnosecondyear_desc'] = 'Don\'t add the second year (Example: "2013")';
$string['tertial_desc'] = 'Tertial (Calendar year is divided into three terms)';
$string['timelesscourses'] = 'Timeless courses';
$string['timelesscourses_desc'] = 'Enable support for timeless courses in the term filter. Timeless courses seem to be not associated to a specific term<br /><em>This setting is only processed when the term filter is activated</em>';
$string['timelesscoursesname'] = 'Display name for timeless courses';
$string['timelesscoursesname_desc'] = 'This display name is shown in the term filter for courses which are timeless<br /><em>This setting is only processed when the term filter is activated and when timeless courses are activated</em>';
$string['timelesscoursessettingheading'] = 'Term filter: Timeless courses';
$string['timelesscoursesthreshold'] = 'Timeless courses threshold';
$string['timelesscoursesthreshold_desc'] = 'Define courses with a start year before (and not equal to) this year as timeless courses<br /><em>This setting is only processed when the term filter is activated and when timeless courses are activated</em>';
$string['trimester_desc'] = 'Trimester (Calendar year is divided into four terms)';
$string['youhave'] = 'You have';
